Create a new custom schema for extracting structured data from meeting transcripts.
curl -X POST https://app.mavera.io/api/v1/meetings/schemas \
-H "Authorization: Bearer mvra_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Sales Discovery Call",
"description": "Extract key information from sales discovery calls",
"category": "sales_discovery",
"fields": [
{
"name": "budget_range",
"label": "Budget Range",
"field_type": "enum",
"enum_options": ["<10k", "10k-50k", "50k-100k", ">100k"],
"is_required": true,
"requires_evidence": true
},
{
"name": "decision_makers",
"label": "Decision Makers",
"field_type": "list",
"requires_evidence": true
},
{
"name": "timeline",
"label": "Expected Timeline",
"field_type": "text",
"requires_evidence": true
}
]
}'{
"id": "<string>",
"object": "meeting.schema",
"name": "<string>",
"description": "<string>",
"category": "sales_discovery",
"is_built_in": true,
"is_published": true,
"version": 123,
"workspace_id": "<string>",
"user_id": "<string>",
"is_marketplace": true,
"author_name": "<string>",
"author_email": "<string>",
"downloads": 123,
"average_rating": 123,
"tags": [
"<string>"
],
"fields": [
{
"id": "<string>",
"name": "<string>",
"label": "<string>",
"field_type": "text",
"is_required": true,
"requires_evidence": true,
"enum_options": [
"<string>"
],
"scoring_enabled": true,
"scoring_rubric": {},
"crm_field_mapping": {},
"order": 123
}
],
"field_count": 123,
"usage_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Schema name
1 - 1001 - 50 elementsShow child attributes
Schema description
Category of the meeting schema
sales_discovery, qualification, objection_competitor, cs_health, product_feedback, custom Workspace ID (uses default workspace if not specified)
Schema created successfully
meeting.schema Category of the meeting schema
sales_discovery, qualification, objection_competitor, cs_health, product_feedback, custom Whether this is a system-provided schema
Whether this schema is published to marketplace
Show child attributes
Number of times this schema has been used
curl -X POST https://app.mavera.io/api/v1/meetings/schemas \
-H "Authorization: Bearer mvra_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Sales Discovery Call",
"description": "Extract key information from sales discovery calls",
"category": "sales_discovery",
"fields": [
{
"name": "budget_range",
"label": "Budget Range",
"field_type": "enum",
"enum_options": ["<10k", "10k-50k", "50k-100k", ">100k"],
"is_required": true,
"requires_evidence": true
},
{
"name": "decision_makers",
"label": "Decision Makers",
"field_type": "list",
"requires_evidence": true
},
{
"name": "timeline",
"label": "Expected Timeline",
"field_type": "text",
"requires_evidence": true
}
]
}'{
"id": "<string>",
"object": "meeting.schema",
"name": "<string>",
"description": "<string>",
"category": "sales_discovery",
"is_built_in": true,
"is_published": true,
"version": 123,
"workspace_id": "<string>",
"user_id": "<string>",
"is_marketplace": true,
"author_name": "<string>",
"author_email": "<string>",
"downloads": 123,
"average_rating": 123,
"tags": [
"<string>"
],
"fields": [
{
"id": "<string>",
"name": "<string>",
"label": "<string>",
"field_type": "text",
"is_required": true,
"requires_evidence": true,
"enum_options": [
"<string>"
],
"scoring_enabled": true,
"scoring_rubric": {},
"crm_field_mapping": {},
"order": 123
}
],
"field_count": 123,
"usage_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}